import React from 'react';
import { StyleProp, ViewStyle, TextStyle, ImageSourcePropType, ImageStyle } from 'react-native';
import { IconObject } from '../icons/Icon';
import { ImageProps } from '../image/Image';
interface AvatarIcon extends IconObject {
    iconStyle?: StyleProp<TextStyle>;
}
export declare type AvatarProps = {
    Component?: typeof React.Component;
    onPress?(): void;
    onLongPress?(): void;
    containerStyle?: StyleProp<ViewStyle>;
    source?: ImageSourcePropType;
    avatarStyle?: ImageStyle;
    rounded?: boolean;
    title?: string;
    titleStyle?: StyleProp<TextStyle>;
    overlayContainerStyle?: StyleProp<TextStyle>;
    activeOpacity?: number;
    icon?: AvatarIcon;
    iconStyle?: StyleProp<TextStyle>;
    size?: ('small' | 'medium' | 'large' | 'xlarge') | number;
    placeholderStyle?: StyleProp<ViewStyle>;
    renderPlaceholderContent?: React.ReactElement<{}>;
    imageProps?: Partial<ImageProps>;
    ImageComponent?: React.ComponentClass;
};
interface Avatar extends React.FunctionComponent<AvatarProps> {
}
declare const Avatar: React.NamedExoticComponent<AvatarProps>;
export { Avatar };
declare const ThemedAvatar: React.FunctionComponent<Omit<AvatarProps, keyof import("../config/ThemeProvider").ThemeProps<T>>> & {
    Accessory: React.FunctionComponent<Omit<Partial<import("../icons/Icon").IconProps> & Partial<ImageProps> & {
        underlayColor?: import("react-native").ColorValue;
        style?: StyleProp<ViewStyle>;
    }, keyof import("../config/ThemeProvider").ThemeProps<T>>>;
};
export default ThemedAvatar;
